Package opennlp.uima.postag

# Class POSTagger

java.lang.Object
org.apache.uima.analysis_component.AnalysisComponent_ImplBase
org.apache.uima.analysis_component.Annotator_ImplBase
org.apache.uima.analysis_component.CasAnnotator_ImplBase
opennlp.uima.postag.POSTagger

All Implemented Interfaces:
  `org.apache.uima.analysis_component.AnalysisComponent`

public final class POSTagger extends org.apache.uima.analysis_component.CasAnnotator_ImplBase
OpenNLP Part Of Speech annotator.

Mandatory parameters

Type | Name | Description
--- | --- | ---
String | opennlp.uima.ModelName | The name of the model file
String | opennlp.uima.SentenceType | The full name of the sentence type
String | opennlp.uima.TokenType | The full name of the token type
String | opennlp.uima.POSFeature | The name of the token pos feature, the feature must be of type String

Optional parameters

Type | Name | Description
--- | --- | ---
String | opennlp.uima.ProbabilityFeature | The name of the double probability feature (not set by default)
Integer | opennlp.uima.BeamSize
String | opennlp.uima.DictionaryName | The name of the dictionary file

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `POSTagger()`
  Initializes a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  Releases allocated resources.
  `void`
  `initialize(org.apache.uima.UimaContext context)`
  Initializes the current instance with the given context.
  `void`
  `process(org.apache.uima.cas.CAS tcas)`
  Performs pos-tagging on the given tcas object.
  `void`
  `typeSystemInit(org.apache.uima.cas.TypeSystem typeSystem)`
  Initializes the type system.

  ### Methods inherited from class org.apache.uima.analysis_component.CasAnnotator_ImplBase

  `getRequiredCasInterface, process`

  ### Methods inherited from class org.apache.uima.analysis_component.Annotator_ImplBase

  `getCasInstancesRequired, hasNext, next`

  ### Methods inherited from class org.apache.uima.analysis_component.AnalysisComponent_ImplBase

  `batchProcessComplete, collectionProcessComplete, reconfigure, setResultSpecification`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### POSTagger

    public POSTagger()
    Initializes a new instance.

    Note: Use `initialize(UimaContext)` to initialize this instance. Not use the constructor.

- ## Method Details

  - ### initialize

    public void initialize(org.apache.uima.UimaContext context) throws org.apache.uima.resource.ResourceInitializationException
    Initializes the current instance with the given context.

    Note: Do all initialization in this method, do not use the constructor.

    Specified by:
      `initialize` in interface `org.apache.uima.analysis_component.AnalysisComponent`
    Overrides:
      `initialize` in class `org.apache.uima.analysis_component.AnalysisComponent_ImplBase`
    Throws:
      `org.apache.uima.resource.ResourceInitializationException`

  - ### typeSystemInit

    public void typeSystemInit(org.apache.uima.cas.TypeSystem typeSystem) throws org.apache.uima.analysis_engine.AnalysisEngineProcessException
    Initializes the type system.
    Overrides:
      `typeSystemInit` in class `org.apache.uima.analysis_component.CasAnnotator_ImplBase`
    Throws:
      `org.apache.uima.analysis_engine.AnalysisEngineProcessException`

  - ### process

    public void process(org.apache.uima.cas.CAS tcas)
    Performs pos-tagging on the given tcas object.
    Specified by:
      `process` in class `org.apache.uima.analysis_component.CasAnnotator_ImplBase`

  - ### destroy

    public void destroy()
    Releases allocated resources.
    Specified by:
      `destroy` in interface `org.apache.uima.analysis_component.AnalysisComponent`
    Overrides:
      `destroy` in class `org.apache.uima.analysis_component.AnalysisComponent_ImplBase`